Bug 235290 - net-im/gitterdone: fix build with GCC-based architectures
Summary: net-im/gitterdone: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-29 08:29 UTC by Piotr Kubaj
Modified: 2019-02-05 22:45 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (jt)


Attachments
patch (395 bytes, patch)
2019-01-29 08:29 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2019-01-29 08:29:19 UTC
Created attachment 201498 [details]
patch

This port needs USES=compiler:c++11-lang to build on GCC architectures.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 commit-hook freebsd_committer 2019-02-04 11:40:27 UTC
A commit references this bug:

Author: linimon
Date: Mon Feb  4 11:39:45 UTC 2019
New revision: 492112
URL: https://svnweb.freebsd.org/changeset/ports/492112

Log:
  This port needs USES=compiler:c++11-lang to build on GCC-based
  architectures.

  While here, pet portlint.

  PR:		235290
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/net-im/gitterdone/Makefile